#include "makeup_allocators_storage.h"
#include <util/generic/singleton.h>

TMakeupAllocatorsStorage::TMakeupAllocatorsStorage()
{}

TMakeupAllocatorsStorage::TMakeupAllocatorsStorage(bool usePools)
: SpansZonesAllocator(usePools)
, LengthZonesAllocator(usePools)
, SentsMakeupAllocator(usePools)
{}

TMakeupAllocatorsStorage& TMakeupAllocatorsStorage::Default() {
    return *Singleton<TMakeupAllocatorsStorage>();
}
